CorebanqCorebanq Developer Docs
Recipientsv2

List recipients

Returns recipients plus pagination metadata. Responses include every stored bank account and crypto wallet.

GET/v2/recipients

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer

Maximum number of recipients to return (default 20, max 200).

offset?integer

Number of recipients to skip before collecting the result set.

sort?string

Sorting instructions (e.g. legal_name:asc).

search.id?string

Filter by recipient ID (exact match).

search.id.in?string

Filter by multiple recipient IDs (comma-separated UUIDs).

search.customer_id?string

Filter by customer ID (exact match).

search.customer_id.in?string

Filter by multiple customer IDs (comma-separated UUIDs).

search.legal_name?string

Filter by legal name (exact match).

search.legal_name.like?string

Filter by legal name using partial match semantics.

search.email?string

Filter by recipient email (exact match).

search.email.like?string

Filter by recipient email using partial match semantics.

search.phone?string

Filter by recipient phone number.

search.phone.like?string

Filter by recipient phone number using partial match semantics.

search.reference?string

Filter by external reference (exact match).

search.reference.like?string

Filter by external reference using partial match semantics.

search.iban?string

Filter recipients that own a bank account with the provided IBAN (exact match).

search.iban.like?string

Filter recipients by IBAN using partial match semantics.

search.wallet_address?string

Filter recipients that own a crypto wallet with the provided address (exact match).

search.wallet_address.like?string

Filter recipients by crypto wallet address using partial match semantics.

search.currency_id?string

Filter by associated crypto currency identifier.

search.currency_id.in?string

Filter by multiple crypto currency identifiers (comma-separated UUIDs).

search.network_id?string

Filter by blockchain network identifier.

search.network_id.in?string

Filter by multiple blockchain network identifiers (comma-separated UUIDs).

search.bic?string

Filter by BIC (exact match).

search.bic.like?string

Filter by BIC using partial match semantics.

search.bank?string

Filter by bank name (exact match).

search.bank.like?string

Filter by bank name using partial match semantics.

search.type?string

Filter by recipient type.

search.active?boolean

Filter by recipient active flag.

search.created_at.gt?string

Filter recipients created after the specified timestamp.

search.created_at.gte?string

Filter recipients created on or after the specified timestamp.

search.created_at.lt?string

Filter recipients created before the specified timestamp.

search.created_at.lte?string

Filter recipients created on or before the specified timestamp.

search.modified_at.gt?string

Filter recipients modified after the specified timestamp.

search.modified_at.gte?string

Filter recipients modified on or after the specified timestamp.

search.modified_at.lt?string

Filter recipients modified before the specified timestamp.

search.modified_at.lte?string

Filter recipients modified on or before the specified timestamp.

search.created_by?string

Filter by the user who created the recipient.

search.modified_by?string

Filter by the user who last modified the recipient.

search.address_id?string

Filter by associated billing address ID.

search.intermediate_bic?string

Filter by intermediary BIC.

search.intermediate_bank?string

Filter by intermediary bank name.

search.intermediate_route?string

Filter by intermediary routing information.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/recipients"
{
  "data": [
    {
      "id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
      "legal_name": "Acme AG",
      "type": "business",
      "email": "payments@acme.example",
      "phone": "+41446667788",
      "reference": "SUPPLIER-123",
      "customer_id": "ffffffff-1111-2222-3333-444444444444",
      "address": {
        "id": "11111111-2222-3333-4444-555555555555",
        "street": "Bahnhofstrasse",
        "number": "1",
        "additional": null,
        "postal_code": "8001",
        "city": "Zürich",
        "state": null,
        "country": "CHE",
        "is_primary": true,
        "active": true,
        "created_at": "2025-10-09T09:00:00Z",
        "created_by": "aaaaaaaa-0000-0000-0000-000000000000",
        "modified_at": "2025-10-09T09:00:00Z",
        "modified_by": "aaaaaaaa-0000-0000-0000-000000000000",
        "metadata": {}
      },
      "bank_accounts": [
        {
          "id": "bbbbbbbb-cccc-dddd-eeee-ffffffffffff",
          "recipient_id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
          "iban": "CH9300762011623852957",
          "bic": "UBSWCHZH80A",
          "bank": "UBS Switzerland AG",
          "intermediate_bic": null,
          "intermediate_bank": null,
          "intermediate_route": null,
          "is_primary": true,
          "is_validated": true,
          "status": "active",
          "active": true,
          "created_at": "2025-10-09T09:00:00Z",
          "created_by": "aaaaaaaa-0000-0000-0000-000000000000",
          "modified_at": "2025-10-09T09:00:00Z",
          "modified_by": "aaaaaaaa-0000-0000-0000-000000000000",
          "metadata": {}
        }
      ],
      "crypto_wallets": [
        {
          "id": "cccccccc-dddd-eeee-ffff-000000000000",
          "recipient_id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
          "wallet_address": "0x1234567890abcdef1234567890abcdef12345678",
          "network": null,
          "network_id": "11111111-2222-3333-4444-555555555555",
          "network_code": "ETH",
          "currency_id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
          "crp_asset_id": "dddddddd-eeee-ffff-0000-111111111111",
          "is_self_custody": true,
          "is_validated": true,
          "status": "active",
          "asset": {
            "id": "dddddddd-eeee-ffff-0000-111111111111",
            "ticker": "USDC",
            "decimals": 6,
            "currency_id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
            "network_id": "11111111-2222-3333-4444-555555555555",
            "network_name": "Ethereum",
            "network_code": "ETH"
          },
          "active": true,
          "created_at": "2025-10-09T09:00:00Z",
          "created_by": "aaaaaaaa-0000-0000-0000-000000000000",
          "modified_at": "2025-10-09T09:00:00Z",
          "modified_by": "aaaaaaaa-0000-0000-0000-000000000000",
          "metadata": {}
        }
      ],
      "active": true,
      "created_at": "2025-10-09T09:00:00Z",
      "created_by": "aaaaaaaa-0000-0000-0000-000000000000",
      "modified_at": "2025-10-09T09:00:00Z",
      "modified_by": "aaaaaaaa-0000-0000-0000-000000000000",
      "metadata": {}
    }
  ],
  "total": 15,
  "total_unfiltered": 20,
  "has_more": true
}
{
  "status": 0,
  "message": "string"
}
{
  "status": 0,
  "message": "string"
}
{
  "status": 0,
  "message": "string"
}
{
  "status": 0,
  "message": "string"
}